/**
  ******************************************************************************
  * @file       main.cpp
  * @date       03/12/2015
  ******************************************************************************
  *
  * COPYRIGHT(c) 2015 STMicroelectronics
  *
  * Redistribution and use in source and binary forms, with or without modification,
  * are permitted provided that the following conditions are met:
  *   1. Redistributions of source code must retain the above copyright notice,
  *      this list of conditions and the following disclaimer.
  *   2. Redistributions in binary form must reproduce the above copyright notice,
  *      this list of conditions and the following disclaimer in the documentation
  *      and/or other materials provided with the distribution.
  *   3. Neither the name of STMicroelectronics nor the names of its contributors
  *      may be used to endorse or promote products derived from this software
  *      without specific prior written permission.
  *
  * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
  * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
  * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
  * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE
  * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
  * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
  * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
  * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
  * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
  * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  *
  ******************************************************************************
  */

#include "Samples/Samples.h"

//choose the demo to compile
//#define SAMPLE_WRITE_URL
//#define SAMPLE_COUNT_CLICK
#define SAMPLE_WRITE_AND_CHANGE_ALL
//#define SAMPLE_LOCK_TAG_CONTENT

//uncomment for the async example
//#define SYNC_MODE
 
int main(void)
{
#ifdef SAMPLE_WRITE_URL
    #ifdef SYNC_MODE
        sampleSync_writeUrl();
    #else
        sampleAsync_writeUrl();
    #endif
#endif /* SAMPLE_WRITE_URL */

#ifdef SAMPLE_COUNT_CLICK
    #ifdef SYNC_MODE
        sampleSync_countClick();
    #else
        sampleAsync_countClick();
    #endif
#endif /* SAMPLE_COUNT_CLICK */

#ifdef SAMPLE_WRITE_AND_CHANGE_ALL
    #ifdef SYNC_MODE
        sampleSync_writeAndChangeAll();
    #else
        sampleAsync_writeAndChangeAll();
    #endif
#endif /* SAMPLE_WRITE_AND_CHANGE_ALL */

#ifdef SAMPLE_LOCK_TAG_CONTENT
    #ifdef SYNC_MODE
        sampleSync_lockTagContent();
    #else
        sampleAsync_lockTagContent();
    #endif
#endif /* SAMPLE_LOCK_TAG_CONTENT */
}
